<template>

    <Header />

    <!-- <Header v-if="route.path != 'input'"/> -->
    
    <main>
        <RouterView />
    </main>
</template>

<script setup lang="ts">
import {  RouterView, useRoute, useRouter } from 'vue-router';
import Header from '@/components/Header.vue';

//Récupérer les informations de la route actuelle
const route = useRoute();
//Permet d'intéragir avec le routing, par exemple de changer de page de manière programmatique avec .push
const router = useRouter();

</script>

<style scoped>
p {
    color: red;
}
main {
    padding: 20px;
}

</style>